Rygel.RootDeviceFactory – librygel-core Reference Manual

# RootDeviceFactory

## Object Hierarchy:

## Description:

public class RootDeviceFactory : `Object`, `Initable`

This is a factory to create #RygelRootDevice objects for a given UPnP context.

Call rygel_root_device_factory_create() with a plugin to create a root device for the plugin.

Namespace: Rygel
Package: librygel-core

## Content:

### Properties:

- public `Context` context { construct; get; }

### Creation methods:

- public RootDeviceFactory (`Context` context) throws `Error`

### Methods:

- public `bool` init (`Cancellable`? cancellable = null) throws `Error`
- public RootDevice create (Plugin plugin) throws `Error`

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count

All known members inherited from interface GLib.Initable

- @new
- new_valist

- newv

- init